/* GLOBAL */

body {
 margin: 0;
 font-family: "Jura", sans-serif;
 font-size: 16px;
 background-color: #EEEEEE;
}

* {
 box-sizing: border-box;
}

#header-nav {
  font-family: "Playfair Display";
  letter-spacing: 3px;
}

hr {
  border:0;
  border-top:1px solid #A0A0A0;
  margin:20px 0;
}

/* GENERELLES */

.clearfix::after {
  content: "";
  display: block;
  clear: both;
}

.active {
  background-color: #CCC !important;
}

h1, h2, h3, h4 {
  font-family: "Playfair Display";
  letter-spacing: 3px;
  font-weight: normal;
}

p {
  letter-spacing: 1.5px;
  font-size: .9rem;
  line-height: 1.75rem;
  text-align:justify;
}

.align-center {
  text-align: center;
}


/* NAVIGATIONSLEISTE */

#header-nav {
  width: 100%;
  position: fixed;
  z-index: 99;
  box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
  background-color: #FFF!important;
  height: 80px;
}

#header-nav h1, #header-nav h2, #header-nav a {
  margin: 0;
  text-align: center;
}

#header-nav h1 {
  font-size: 1.3rem;
  font-weight: normal;
}

#header-nav h2 {
  font-size: 1rem;
  font-weight: normal;
}

#header-nav ul {
  height: 80%;
  margin-top: .5rem;
}

#header-nav ul > li {
  display: inline-block;
  float: right;
  padding: .6rem;
  margin: 0rem;
  letter-spacing: 2px;
  height: 100%;
}


.logo-link {
  float: left;
}

.logo-link:hover {
  background-color: #CCC;
}

#header-nav a {
  margin-top: .35rem;
}

#header-nav ul > li > a {
  height: 100%;
  width: 100%;
}

#header-nav a:visited {
  text-decoration: none;
  color: #000;
}

#header-nav a:link {
 text-decoration: none;
 color: #000;
}

#header-nav ul > li > a:hover {
  text-decoration: underline;
  color: #000;
}

#header-nav ul > li > a:active {
  text-decoration: underline;
  color: #000;
}

.selectLang, .selectLang2 {
  background-color: #2a2a2a;
  color: white;
  padding: 8px;
  font-size: 16px;
  border: none;
  cursor: pointer;
  float: right;
  border-radius: 4px;
  margin-top: 9px;
}

.selectLang:hover, .selectLang:focus, .selectLang2:hover, .selectLang2:focus {
  background-color: #777;
}

.dropdown-content, .dropdown-content2 {
  display: none;
  position: absolute;
  background-color: #ccc;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  right: 8px;
  top: 63px;
}

.dropdown-content a, .dropdown-content2 a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-content a:hover, .dropdown-content2 a:hover {background-color: #ddd}

.show {display:block;}

/* NAVIGATIONSLEISTE MOBIL */

#mobile-nav-button {
  color: #000;
  float: right;
  font-size: 2.5rem;
  font-weight: bold;
  border: 2px solid #000;
  width: 40px;
  height: 40px;
  position: relative;
  top: .4rem;
  right: .4rem;
  cursor: pointer;
}

#mobile-nav-button > span {
  position: absolute;
  bottom: -6px;
  left: 7px;
}

#mobile-nav-content > ul {
  padding-top: .55rem;
}

#mobile-nav-content > ul > li > a {
  margin-top: .55rem;
}

#mobile-nav-dropdown {
  position: relative;
  display: inline-block;
  float: right;
}

#mobile-nav-content {
  position: absolute;
  right: 0;
  top: 2.9rem;
  display: none;
  background-color: #CCC;
  width: 155px;
}

#mobile-nav-content > ul > li {
  display: block;
  height: 40px;
  padding: 0 1.2rem;
  text-align: right;
}

#mobile-nav-dropdown:hover > #mobile-nav-content {
  display: block;
}

#mobile-nav {
  display: none;
}

@media (max-width: 840px) {

  #desktop-nav {
    display: none;
  }

  #mobile-nav {
    display: block;
  }

}

/* HEADER-BANNER */

#header-banner {
  width: 100%;
  height: auto;
  padding-top: 66px;
}

/* INDEX.html */

.contact a:visited {
  text-decoration: none;
  color: #000;
}

.contact a:link {
 text-decoration: none;
 color: #000;
}

.contact a:hover {
  text-decoration: underline;
  color: #000;
}

.contact a:active {
  text-decoration: underline;
  color: #000;
}

.contact h1 {
  text-align: center;
}


/* INTRO-BEREICH */

#intro-bereich {
  margin-left: auto;
  margin-right: auto;
}


#intro-bereich h1 {
  text-align: center;
}

#intro-bereich h1 {
  margin-bottom: 2rem;
}

#intro-bereich .col-3 {
  margin-top: 1rem;
  margin-bottom: 1rem;
  justify-content: center;
}

.contact > p {
  text-align: center;
}

.intro-container {
  text-align: left;
}

.intro-img {
  width: 90%;
}

#intro-bereich {
    width: 100%;
    max-width: 1500px;
}

/* INTRO-BEREICH RESPONSIVE */


@media (max-width: 1024px) {

  #intro-bereich .col-3 {
    width: 100%!important;
  }

  #intro-bereich {
    width: 100%;
  }

  #intro-bereich p {
    letter-spacing: 1px;
  }

  .intro-img {
    max-width: 620px;
  }
}

  /* FOOTER */

  #footer {
    font-family: "Playfair Display";
    letter-spacing: 3px;
    text-align: center;
    background-color: #2a2a2a;
    height: 66px;
    font-size: 1.1rem;
    padding-top: 20px;
  }

  #footer a {
    height: 100%;
    width: 100%;
    text-align: center;
    margin: 16px;
  }

  #footer a:visited {
    text-decoration: none;
    color: #FFF;
  }

  #footer a:link {
   text-decoration: none;
   color: #FFF;
  }

  #footer a:hover {
    text-decoration: underline;
    color: #FFF;
  }

  #footer a:active {
    text-decoration: underline;
    color: #FFF;
  }

/* PRODUKTIONEN.html */

.prod-container {
  text-align: center;
}

.prod-container h1 {
  font-size: 1.5rem;
}

.prod-container h2 {
  font-size: 1.25rem;
}

/* Style tab links */
.tablink {
  font-size: 1.1rem;
  color: #FFF;
  background-color: #2a2a2a;
  border: none;
  outline: none;
  cursor: pointer;
  width: 49%;
  padding: 16px;
  border-radius: 4px;
}

.tablink:hover {
  background-color: #777;
}

/* VIDEOSECTION */

#video-header, #foto-header {
  text-align: center;
  padding: 16px;
}

#video-section {
  max-width: 1100px;
}

.video-container {
  margin: 16px;
  box-shadow: 0 4px 10px 0 rgb(0 0 0 / 20%), 0 4px 20px 0 rgb(0 0 0 / 19%);
}

.video-container p {
  letter-spacing: 1.1px;
}

#video-section .video-container video {
  width: 100%;
  height: auto;
}

.video-descr {
  padding: 16px;
}

.video-container {
  background-color: #FFF;
}

/* FOTOSECTION */

#foto-section img {
  width: 100%;
  height: auto;
  padding-bottom: .5rem;
}

#foto-section .col-2 {
  padding: .25rem!important;
}

#more0, #more1, #more2, #more3, #more4 {display: none;}

#myBtn0, #myBtn1, #myBtn2, #myBtn3, #myBtn4 {
  border: none;
  display: inline-block;
  padding: 8px 16px;
  background-color: #2a2a2a;
  color: #FFF;
  border-radius: 4px;
}

#myBtn0:hover, #myBtn1:hover, #myBtn2:hover, #myBtn3:hover, #myBtn4:hover {
  background-color: #777;
}


/* SERVICES.html */

#services {
  padding-top: 0;
  padding-left: 5rem;
}


/* ABOUT.html */

#about {
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}


#about h1 {
  text-align: center;
  margin-bottom: 2rem;
  font-size: 1.5rem;
}

#about h2 {
  font-size: 1.25rem;
}

#about .col-3 {
  margin-top: 1rem;
  margin-bottom: 1rem;
  justify-content: center;
}

#about {
    width: 95%;
    max-width: 1500px;
}

.about-img {
  margin-top: 2rem;
}


/* TIMELINE */
/* The actual timeline (the vertical ruler) */
.timeline {
  position: relative;
  max-width: 1200px;
  margin: 0 auto;
}

/* The actual timeline (the vertical ruler) */
.timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  background-color: white;
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -3px;
}

/* Container around content */
.cont {
  padding: 10px 40px;
  position: relative;
  background-color: inherit;
  width: 50%;
}

/* The circles on the timeline */
.cont::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  right: -17px;
  background-color: white;
  border: 4px solid #2A2A2A;
  top: 15px;
  border-radius: 50%;
  z-index: 1;
}

/* Place the container to the left */
.left {
  left: 0;
}

/* Place the container to the right */
.right {
  left: 50%;
}

/* Add arrows to the left container (pointing right) */
.left::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  right: 30px;
  border: medium solid white;
  border-width: 10px 0 10px 10px;
  border-color: transparent transparent transparent white;
}

/* Add arrows to the right container (pointing left) */
.right::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 22px;
  width: 0;
  z-index: 1;
  left: 30px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
}

/* Fix the circle for containers on the right side */
.right::after {
  left: -16px;
}

/* The actual content */
.content {
  padding: 10px 20px;
  background-color: white;
  position: relative;
  border-radius: 6px;
}

/* Media queries - Responsive timeline on screens less than 600px wide */
@media screen and (max-width: 600px) {
/* Place the timelime to the left */
  .timeline::after {
    left: 31px;
  }

/* Full-width containers */
  .cont {
    width: 100%;
    padding-left: 70px;
    padding-right: 25px;
  }

/* Make sure that all arrows are pointing leftwards */
  .cont::before {
    left: 60px;
    border: medium solid white;
    border-width: 10px 10px 10px 0;
    border-color: transparent white transparent transparent;
  }

/* Make sure all circles are at the same spot */
  .left::after, .right::after {
    left: 15px;
  }

/* Make all right containers behave like the left ones */
  .right {
    left: 0%;
  }
}

/* ABOUT.html Responsive */

/* INTRO-BEREICH RESPONSIVE */


@media (max-width: 1024px) {

  #about .col-3 {
    width: 100%!important;
  }

  #about p {
    letter-spacing: 1px;
  }

  .intro-img {
    max-width: 620px;
    margin-top: 0;
  }
}

/* KONTAKT.html */

/* KONTAKT Formular */

input[type=text], select, textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
}

input[type=submit] {
  background-color: #2a2a2a;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: #777;
}

/* Add a background color and some padding around the form */
.form-container {
  border-radius: 5px;
  background-color: #FFF;
  padding: 20px;
}

#contact-section > .container {
  max-width: 1500px;
}

#datenschutz {
  text-align: justify;
}

/* GRID SYSTEM */

.container {
  width: 95%;
  margin-left: auto;
  margin-right: auto
}

.row::after {
  content: "";
  clear: both;
  display: block;
}

[class*="col-"] {
  float: left;
  min-height: 1px;
  padding: .8rem;
}

.col-1 { width: 16.666%; }
.col-2 { width: 33.333%; }
.col-3 { width: 50%;     }
.col-4 { width: 66.666%; }
.col-6 { width: 100%;    }

/*

WICHTIGE BREAKPOINTS

480   Pixel iPhone Querformat
768   Pixel iPad Hochformat
1024  Pixel iPad Querformat
1366  Pixel Laptop

*/

@media (max-width: 1024px) {

  .col-1 { width: 33.333%; }

}

@media (max-width: 768px) {

  .col-1 { width: 50%;  }
  .col-2 { width: 100%; }
  .col-3 { width: 100%; }
  .col-4 { width: 100%; }

}


@media (max-width: 480px) {

  .col-1 { width: 100%; }
  .col-2 { width: 100%; }
  .col-3 { width: 100%; }
  .col-4 { width: 100%; }

}
